Inconsistant documentation in --order option in scoped_search for katello and foreman

06/01/2018 12:45 PM - Rahul Bajaj

Status: Closed
Priority: Normal
Assignee: Rahul Bajaj
Category:
Target version: Katello 3.8.0
Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5636,
https://github.com/Katello/katello/pull/741
Description
In foreman
——order ORDER Sort results
In katello
——order ORDER Sort field and order, eg. ‘name DESC’

| think there should be consistency between the two, also we should display

‘eg. id DESC'" as name is not a field in all the tables we have.

Related issues:

Copied from Foreman - Bug #23769: Inconsistant documentation in --order optio... Closed 06/01/2018

Associated revisions

Revision c1b5edf1 - 06/13/2018 07:07 PM - Rahul Bajaj

Fixes #23774 - maintain consistency in the scoped-search doc

History

#1 - 06/01/2018 12:45 PM - Rahul Bajaj

- Copied from Bug #23769: Inconsistant documentation in --order option in scoped_search for katello and foreman added

#2 - 06/01/2018 12:53 PM - The Foreman Bot
- Pull request https://github.com/Katello/katello/pull/7410 added

#3 - 06/06/2018 06:02 PM - John Mitsch
- Category set to 106

- translation missing: en.field_release set to 349

#4 - 06/13/2018 08:01 PM - Rahul Bajaj
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|c1b5edf1f1387d5b95f4141bf78efdbec2{8d3e3.
